ru.bitel.bgbilling.modules.inet.access.event

## Class InetConnectionDeviceStateAndOptionsModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.access.event.InetConnectionDeviceStateAndOptionsModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetConnectionDeviceStateAndOptionsModifyEvent
      extends QueueEvent

  Событие на изменение состояния и/или опций соединения в БД.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetConnectionDeviceStateAndOptionsModifyEvent()`
    `` | `InetConnectionDeviceStateAndOptionsModifyEvent(int moduleId, int deviceId, int servId, long connectionId, short deviceState, java.util.Set<java.lang.Integer> optionSet, int accessCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCode()`
    `long` | `getConnectionId()`
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptions()`
    `short` | `getDeviceState()`
    `int` | `getServId()`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetConnectionDeviceStateAndOptionsModifyEvent

          protected InetConnectionDeviceStateAndOptionsModifyEvent()

    - #### InetConnectionDeviceStateAndOptionsModifyEvent

          public InetConnectionDeviceStateAndOptionsModifyEvent(int moduleId,
                                                                int deviceId,
                                                                int servId,
                                                                long connectionId,
                                                                short deviceState,
                                                                java.util.Set<java.lang.Integer> optionSet,
                                                                int accessCode)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getServId

          public int getServId()

    - #### getConnectionId

          public long getConnectionId()

    - #### getDeviceState

          public short getDeviceState()

    - #### getDeviceOptions

          public java.util.Set<java.lang.Integer> getDeviceOptions()

    - #### getAccessCode

          public int getAccessCode()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`